Guía de usuario del terminal de GNOME
Anterior |  | Siguiente

# Opciones de la línea de órdenes

- `--background `COLOR``

  Se utiliza para especificar el color de fondo del terminal en el arranque. El `COLOR` puede ser tener cualquier forma aceptada por el sistema de ventanas.

- `--tclass `Nombre de la clase``

  Especifica la clase de terminal utilizada para configurar el terminal en el arranque.

- `--command `Comando`, -e `Comando``

  Ejecuta la orden COMANDO en el arranque.

- `--execute `Comando ARGS`, -x `Comando ARGS``

  Ejecuta la orden `COMANDO` con los argumentos `ARGS` en el arranque. No se procesará por el terminal ningún argumento que venga detrás de esta opción. Este comportamiento imita el de xterm -e.

- `--font `Tipografía``

  Fija el tipo de letra utilizado en el terminal al de la `Tipografía`

- `--foreground `COLOR``

  Hace que el color del primer plano del terminal sea `COLOR`.

- `--geometry `Geometría``

  Especifica la geometría que tendrá este terminal. La geometría incluye la anchura y altura deseadas medidas en carácteres. Por ejemplo: `--geometry=80x40` creará un terminal de ochenta columnas por 40 filas.

- `--login`

  Hace que gnome-terminal ejecute la línea de órdenes en modo login (en este modo se ejecutarán todos los guiones de inicialización).

- `--nologin`

  Hace que gnome-terminal sólo ejecute un shell, sin ejecutar ninguno de los guiones de inicialización.

- `--noutmp`

  Indica que este y el shell asociado no deben registrarse en la base de datos del sistema de usuarios que están utilizando el ordenador.

- `--utmp`

  Indica que el usuario quiere que este terminal se registre en la base de datos del sistema de usuarios que están conectados actualmente al sistema (la base de datos utmp). Este es el modo por defecto.

- `--lastlog`

  Genera siempre una traza de control para cada acceso al terminal.

- `--nolastlog`

  No genera una traza de control para cada acceso al terminal.

- `--title `Titulo`, -t `Titulo``

  Hace que el terminal GNOME utilice `Título` como el título de la ventana.

- `--termname `Nombre de terminal``

  Hace que el terminal GNOME utilice `Nombre de terminal` como el valor de la variable de entorno `TERM`.

- `--start-factory-server`

  Se intentará arrancar el servicio Fabrica de terminales para este terminal (ver más abajo).

- `--use-factory`

  Si ya existe un proceso de terminal arrancado con la opción `--start-factory-server`, entonces la ejecución del comando gnome-termina --use-factory creara una ventana de terminal propiedad del actual proceso de terminal existente. En otras palabras, tendra el mismo efecto que elegir la opción Fichero->Nuevo terminal en el terminal existente.

  Si no existe una fabrica de terminales en ejecución, entonces esta opción no tendra efecto alguno.

Puede utilizar más de una opción a la vez: por ejemplo, en una máquina con el navegador en modo texto `Lynx` instalado, gnome-terminal --title Web --command lynx abrirá un gnome-terminal que ejecutará `Lynx` y que tendrá una barra de título donde aparecerá "Web".

Anterior | Inicio | Siguiente
Clases de terminal |  | Entorno